babeld(8)

NAME
babeld - a BABEL ad-hoc network routing engine for use with Quagga routing software.

SYNOPSIS
babeld [ -f config-file ] [ -i pid-file ] [ -P vty-port-number ] [ -A vty-address ] [ -u user ] [ -g group ]

DESCRIPTION
babeld is a routing component that works with the Quagga routing engine.

OPTIONS
Options available for the babeld command:

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /usr/local/etc/babeld.conf.

-g, --group group
    Specify the group to run as. Default is quagga.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When babeld starts its process identifier is written to pid-file. The init system uses the recorded PID to stop or restart babeld. The likely default is /var/run/babeld.pid.

-P, --vty_port port-number
    Specify the port that the babeld VTY will listen on. This defaults to 2602, as specified in /etc/services.

-A, --vty_addr vty-address
    Specify the address that the babeld VTY will listen on. Default is all interfaces.

-u, --user user
    Specify the user to run as. Default is quagga.

-v, --version
    Print the version and exit.

FILES

/usr/local/sbin/babeld
    The default location of the babeld binary.

/usr/local/etc/babeld.conf
    The default location of the babeld config file.

$(PWD)/babeld.log
    If the babeld process is config'd to output logs to a file, then you will find this file in the directory where you started babeld.

WARNING
This man page is intended to be a quick reference for command line options. The definitive document is the Info file Quagga.

DIAGNOSTICS
The babeld process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. babeld supports many debugging options, see the Info file, or the source for details.

SEE ALSO
bgpd(8), ripngd(8), ospfd(8), ospf6d(8), isisd(8), zebra(8), vtysh(1)

BUGS
babeld eats bugs for breakfast. If you have food for the maintainers try http://bugzilla.quagga.net

AUTHORS
See http://www.zebra.org and http://www.quagga.net or the Info file for an accurate list of authors.